Page MenuHomePhabricator

[EPIC] Improve top of the article user experience - mobile
Open, NormalPublic

Description

Background
Currently, the top of an article can contain a number of issues including:

  1. Repetitive/inappropriate lead images
  2. Page issues link that can look confusing along with wikidata descriptions
  3. Redirect message
  4. Lengthy article notes
  5. Infobox appearing before article text

We would like to address these issues to minimize confusion and provide a more cohesive user experience.
A few examples:

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone
Resolvedbmansurov
ResolvedNone
ResolvedJdlrobson
Resolvedovasileva
Resolvedphuedx
DuplicateNone
Resolvedovasileva
ResolvedJdlrobson
InvalidNone
ResolvedCKoerner_WMF
ResolvedCKoerner_WMF
InvalidNone
Resolvedovasileva
Resolvedalexhollender
Duplicatealexhollender
Resolvedalexhollender
Resolvedovasileva
Resolvedalexhollender
ResolvedRyasmeen
ResolvedRyasmeen
ResolvedNiedzielski
Resolvedovasileva
ResolvedNone
Resolvedovasileva
ResolvedABorbaWMF
Resolvedalexhollender
DuplicateNone
ResolvedNiedzielski
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
Resolved Tbayer
Resolvedovasileva
ResolvedNiedzielski
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolvedovasileva
Resolved Tbayer
Resolvedphuedx
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdlrobson
Resolved Tbayer
Resolved Tbayer
ResolvedNiedzielski
DeclinedNone
Resolvedovasileva
OpenNone
ResolvedJdlrobson
DuplicateNone
Duplicatephuedx
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

ovasileva created this task.Oct 7 2016, 1:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2016, 1:42 PM
phuedx changed the status of subtask T146596: Make redirect into a toast message from Open to Stalled.Nov 3 2016, 9:36 PM
jhobs changed the status of subtask T146596: Make redirect into a toast message from Stalled to Open.Nov 7 2016, 6:05 PM
Jdlrobson added subscribers: Nirzar, Jdlrobson.

@Nirzar this epic has only one open subtask: T143535. Is it useful to have this epic, or can we close it in favor of the more granular T143535 ?

I think we need to keep this open. T143535 is made up bunch of other things, as well. but the end goal is to improve top of the article experience

ovasileva triaged this task as Normal priority.Nov 15 2018, 10:44 PM
Aklapper removed Nirzar as the assignee of this task.Mon, Nov 4, 10:19 AM

Removing @Nirzar as assignee, as that account has been disabled.